package com.unissoft.controller;

import com.unissoft.result.ResultView;
import com.unissoft.service.JpushService;
import com.unissoft.vo.JpushVO;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 极光推送测试
 * </p>
 *
 * @author root
 * @since 2020-12-10
 */
@RestController
@RequestMapping("/jpush")
public class JgPushController {

    @Autowired
    private JpushService jpushService;

    @ApiOperation(value = "根据id查询", notes = "")
    @PostMapping("/authority/jpush")
    public ResultView getById(@RequestBody JpushVO jpushVO) {
        jpushService.sendNotificationPush(jpushVO.getTitle(), jpushVO.getContent(), jpushVO.getExtras(), jpushVO.getRegistrationIds());
        return ResultView.success();
    }

}
