package com.unissoft.enums;

import lombok.Getter;

@Getter
public enum NoticeTypeEnum {

    SYS(10, "系统"),
    TODO(20, "待办"),
    APPROVED(30, "审批通过"),
    DISAGREE(40, "审批不通过"),
    WARN(50, "警告"),
    ;

    private Integer code;
    private String message;

    NoticeTypeEnum(Integer code, String message) {
        this.code = code;
        this.message = message;
    }
}