package com.unissoft.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.unissoft.config.mybatisplus.RootMapper;
import com.unissoft.model.SysAnnouncementUser;
import com.unissoft.vo.SysAnnouncementUserVO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.Map;

/**
 * <p>
 * 公告用户表 Mapper 接口
 * </p>
 *
 * @author root
 * @since 2020-12-10
 */
@Repository
public interface SysAnnouncementUserMapper extends RootMapper<SysAnnouncementUser> {

    Page<SysAnnouncementUserVO> getPage(Page page, @Param("map") Map<String, Object> map);

}
