package com.unissoft.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.unissoft.model.SysNoticeUser;
import com.unissoft.vo.SysNoticeUserVO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author root
 * @since 2020-12-07
 */
@Repository
public interface SysNoticeUserMapper extends BaseMapper<SysNoticeUser> {

    Page<SysNoticeUserVO> getPage(Page page, @Param("map") Map<String, Object> map);

    List<SysNoticeUserVO> getList(@Param("map") Map<String, Object> map);
}
