package com.unissoft.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 任务类
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="QuartzEntity对象", description="")
public class QuartzModel {

	@ApiModelProperty(value = "任务名称")
	private String jobName;

	@ApiModelProperty(value = "任务分组")
	private String jobGroup;

	@ApiModelProperty(value = "任务描述")
	private String description;

	@ApiModelProperty(value = "执行类")
	private String jobClassName;

	@ApiModelProperty(value = "执行方法")
    private String jobMethodName;

	@ApiModelProperty(value = "执行时间")
	private String cronExpression;

	@ApiModelProperty(value = "触发器名称")
	private String triggerName;

	@ApiModelProperty(value = "任务状态")
	private String triggerState;

	@ApiModelProperty(value = "任务名称 用于修改")
	private String oldJobName;

	@ApiModelProperty(value = "任务分组 用于修改")
	private String oldJobGroup;

}
