package com.unissoft.model;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * <p>
 * 政策制度用户表
 * </p>
 *
 * @author root
 * @since 2021-01-26
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("sys_policy_system_user")
@ApiModel(value="SysPolicySystemUser对象", description="政策制度用户表")
public class SysPolicySystemUser extends BaseModel implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "政策制度id")
    @TableField("policy_id")
    private Integer policyId;

    @ApiModelProperty(value = "用户id")
    @TableField("user_id")
    private Integer userId;

    @ApiModelProperty(value = "用户姓名")
    @TableField("user_name")
    private String userName;

    @ApiModelProperty(value = "状态  0:未读,  1:已读")
    @TableField("read_status")
    private Boolean readStatus;

}
