package com.unissoft.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.unissoft.model.QuartzModel;
import com.unissoft.result.PageParam;
import com.unissoft.vo.WarnScheduleVO;
import org.quartz.SchedulerException;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author root
 * @since 2020-12-07
 */
public interface QuartzService {

    boolean warnScheduleJob(WarnScheduleVO warnScheduleVO);

    boolean save(QuartzModel quartz);

    Page<QuartzModel> getPage(PageParam pageParam) throws SchedulerException;

    boolean triggerJob(QuartzModel quartz);

    boolean pauseJob(QuartzModel quartz);

    boolean resumeJob(QuartzModel quartz);

    boolean removeJob(QuartzModel quartz);

    boolean removeJob(String jobName, String triggerName, String group);

}
