package com.unissoft.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unissoft.model.SysAnnouncement;
import com.unissoft.model.SysUserPO;
import com.unissoft.result.PageParam;

/**
 * <p>
 * 公告表 服务类
 * </p>
 *
 * @author root
 * @since 2020-12-10
 */
public interface SysAnnouncementService extends IService<SysAnnouncement> {

    Page<SysAnnouncement> getPage(PageParam pageParam, boolean publishStatus, Integer userId);

    boolean add(SysAnnouncement model, SysUserPO userPO);

    boolean updateById(SysAnnouncement model, SysUserPO userPO);

    void removeAnnouncementById(int id);
}
