package com.unissoft.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unissoft.model.SysEarlyWarning;
import com.unissoft.model.SysUserPO;
import com.unissoft.result.PageParam;

/**
 * <p>
 * 预警管理 服务类
 * </p>
 *
 * @author root
 * @since 2020-12-15
 */
public interface SysEarlyWarningService extends IService<SysEarlyWarning> {

    Page<SysEarlyWarning> getPage(PageParam pageParam);

    boolean save(SysEarlyWarning model, SysUserPO userPO);

    void update(SysEarlyWarning model, SysUserPO userPO);

    void deleteById(int id);

    void enableWarn(int id);

    void stopWarn(int id);


}
