package com.unissoft.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.unissoft.dto.MessageVO;
import com.unissoft.model.SysMessage;

import java.util.List;
import java.util.Set;

/**
 * <p>
 * 消息推送表 服务类
 * </p>
 *
 * @author root
 * @since 2021-01-08
 */
public interface SysMessageService extends IService<SysMessage> {

    void sendMessage(MessageVO messageVO);

    void batchSendMessage(MessageVO messageVO, Set<Integer> userIds);

    void setPushedStatus(Integer id);

    List<MessageVO> getUnpushedUserMessage(Integer userId);

    void batchSetPushedStatus(List<MessageVO> voList);

    void removeWebSocketSession(int id);
}
