package com.unissoft.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unissoft.model.SysPolicySystemUser;
import com.unissoft.model.SysUserPO;
import com.unissoft.result.PageParam;
import com.unissoft.vo.SysPolicySystemUserVO;
import com.unissoft.vo.SysPolicySystemVO;

import java.util.List;

/**
 * <p>
 * 政策制度用户表 服务类
 * </p>
 *
 * @author root
 * @since 2021-01-26
 */
public interface SysPolicySystemUserService extends IService<SysPolicySystemUser> {

    Page<SysPolicySystemUserVO> getPage(PageParam pageParam, SysUserPO userPO);

    int batchSave(List<SysPolicySystemUser> list);

    void removeByPolicySystemId(int annoId);

    SysPolicySystemVO viewPolicySystemById(int id);

}
