package com.unissoft.vo;

import com.unissoft.model.SysPolicySystemUser;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

@Data
@EqualsAndHashCode(callSuper = false)
public class SysPolicySystemUserVO extends SysPolicySystemUser {

    @ApiModelProperty(value = "标题")
    private String title;

    @ApiModelProperty(value = "内容")
    private String content;

    @ApiModelProperty(value = "发布时间")
    private Date publishTime;

    @ApiModelProperty(value = "发布用户姓名")
    private String publishUserName;

    @ApiModelProperty(value = "发布用户ID")
    private Integer publishUserId;

    @ApiModelProperty(value = "发布用户所属单位")
    private String publishOrgName;

    @ApiModelProperty(value = "发布用户所属单位ID")
    private Integer publishOrgId;

}
