package com.unissoft.enums;

import lombok.Getter;

@Getter
public enum MessageTypeEnum {

    ATTENTION(10, "注意"),
    FINISH(20, "完成"),
    WARN(30, "警告"),
    ;

    private Integer code;
    private String message;

    MessageTypeEnum(Integer code, String message) {
        this.code = code;
        this.message = message;
    }
}