package com.unissoft.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.unissoft.dto.MessageVO;
import com.unissoft.model.SysMessage;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * <p>
 * 消息推送表 Mapper 接口
 * </p>
 *
 * @author root
 * @since 2021-01-08
 */
@Repository
public interface SysMessageMapper extends BaseMapper<SysMessage> {

    void batchSetPushedStatus(List<MessageVO> list);

    void setPushedStatus(@Param("id") Integer id);
}
