package com.unissoft.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.unissoft.config.mybatisplus.RootMapper;
import com.unissoft.model.SysPolicySystemUser;
import com.unissoft.vo.SysPolicySystemUserVO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.Map;

/**
 * <p>
 * 政策制度用户表 Mapper 接口
 * </p>
 *
 * @author root
 * @since 2021-01-26
 */
@Repository
public interface SysPolicySystemUserMapper extends RootMapper<SysPolicySystemUser> {

    Page<SysPolicySystemUserVO> getPage(Page page, @Param("map") Map<String, Object> map);

}
