package com.unissoft.model;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author root
 * @since 2020-12-07
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("sys_notice")
@ApiModel(value="SysNotice对象", description="")
public class SysNotice extends BaseModel implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "通知类型：10系统、20待办、30审批通过、40审批不通过、50警告")
    @TableField("notice_type")
    private Integer noticeType;

    @ApiModelProperty(value = "通知时间")
    @TableField("notice_time")
    private Date noticeTime;

    @ApiModelProperty(value = "标题")
    @TableField("title")
    private String title;

    @ApiModelProperty(value = "通知内容")
    @TableField("content")
    private String content;

    @ApiModelProperty(value = "仓号")
    @TableField("warehouse")
    private String warehouse;

    @ApiModelProperty(value = "公司")
    @TableField("org_name")
    private String orgName;

    @ApiModelProperty(value = "申请人")
    @TableField("apply_name")
    private String applyName;

    @ApiModelProperty(value = "申请部门")
    @TableField("apply_dept")
    private String applyDept;

    @ApiModelProperty(value = "模块")
    @TableField("notice_module")
    private String noticeModule;
}
