package com.unissoft.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unissoft.model.SysAnnouncement;
import com.unissoft.model.SysAnnouncementUser;
import com.unissoft.result.PageParam;
import com.unissoft.vo.SysAnnouncementUserVO;

import java.util.List;

/**
 * <p>
 * 公告用户表 服务类
 * </p>
 *
 * @author root
 * @since 2020-12-10
 */
public interface SysAnnouncementUserService extends IService<SysAnnouncementUser> {

    Page<SysAnnouncementUserVO> getPage(PageParam pageParam, Integer userId);

    int batchSave(List<SysAnnouncementUser> list);

    void removeByAnnouncementId(int annoId);

    SysAnnouncement viewAnnouncementById(int id);

    void setReadedById(int id);

}
