package com.unissoft.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unissoft.dto.SendNoticeVO;
import com.unissoft.model.SysNotice;
import com.unissoft.model.SysNoticeUser;
import com.unissoft.result.PageParam;
import com.unissoft.vo.SysNoticeUserVO;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author root
 * @since 2020-12-07
 */
public interface SysNoticeUserService extends IService<SysNoticeUser> {

    Page<SysNoticeUserVO> getPage(PageParam pageParam, Integer userId);

    boolean saveNoticeUser(SysNoticeUser model);

    boolean updateNoticeUser(SysNoticeUser model);

    void sendNotice(SendNoticeVO sendNoticeVO);

    void removeByNoticeId(Integer noticeId);

    void setReadedById(int id);

    SysNotice viewNoticeById(int id);

}
