package com.unissoft.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unissoft.model.SysPolicySystem;
import com.unissoft.model.SysUserPO;
import com.unissoft.result.PageParam;
import com.unissoft.vo.SysPolicySystemVO;

/**
 * <p>
 * 政策制度 服务类
 * </p>
 *
 * @author root
 * @since 2021-01-26
 */
public interface SysPolicySystemService extends IService<SysPolicySystem> {

    Page<SysPolicySystem> getPage(PageParam pageParam, SysUserPO userPO);

    SysPolicySystemVO getDataById(int id);

    boolean add(SysPolicySystem model, SysUserPO userPO);

    boolean updateById(SysPolicySystem model, SysUserPO userPO);

    void removePolicySystemById(int id);
}
