package com.unissoft.vo;

import com.unissoft.model.SysAnnouncementUser;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

@Data
@EqualsAndHashCode(callSuper = false)
public class SysAnnouncementUserVO extends SysAnnouncementUser {

    @ApiModelProperty(value = "标题")
    private String title;

    @ApiModelProperty(value = "内容")
    private String content;

    @ApiModelProperty(value = "发布时间")
    private Date publishTime;

    @ApiModelProperty(value = "发布用户姓名")
    private String publishUserName;

    @ApiModelProperty(value = "发布用户ID")
    private Integer publishUserId;

    @ApiModelProperty(value = "发布用户所属单位")
    private String publishOrgName;

    @ApiModelProperty(value = "发布用户所属单位ID")
    private Integer publishOrgId;

    @ApiModelProperty(value = "接收人类型：10全员，20指定粮库，30分公司全员，40指定角色组")
    private String recvType;

    @ApiModelProperty(value = "接收人类型详细情息")
    private String recvDetails;

    @ApiModelProperty(value = "状态：true已发布，false未发布(存草稿箱)")
    private Boolean publishStatus;

    @ApiModelProperty(value = "类型：10通知、20公告、30其它")
    private String annoType;

    @ApiModelProperty(value = "单位类型：分公司、粮库")
    private String orgType;

}
